Skip Menu |
 

This queue is for tickets about the WordNet-Similarity CPAN distribution.

Report information
The Basics
Id: 28493
Status: resolved
Priority: 0/
Queue: WordNet-Similarity

People
Owner: SID [...] cpan.org
Requestors: WALTMAN [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 1.04
Fixed in: 2.01



Subject: perl Makefile.PL fails with latest version of WordNet-QueryData
Download (untitled) / with headers
text/plain 755b
Running "perl Makefile.PL fails with the error Can't locate object method "version" via package "WordNet::QueryData" at Makefile.PL line 257. It appears that it's no longer compatible with the latest version of WordNet::QueryData. The changelog for version 1.46 says: * QueryData.pm (version): removed (Invalid as of WN 3.0) The release notes posted at http://groups.google.com/group/wn-perl/browse_thread/ thread/e15257d9983a4e8c add some more information: Note that I removed the version() function for 1.46 as it no longer reliably reports WN version number. There does not seem to be any way to determine the WordNet version from the database files (dict/*) at the moment---the 3.0database files indicate an old version ( 2.1).
From: TPEDERSE [...] cpan.org
Download (untitled) / with headers
text/plain 1.4k
Thanks for reporting this. The current version requirements of WordNet- Similarity are described here: http://www.d.umn.edu/~tpederse/similarity.html The short summary is that right now you need to step back to WordNet 2.1 and WordNet-QueryData 1.45 due to some glitches in WordNet 3.0. There is more detailed discussion of this issue in : http://tech.groups.yahoo.com/group/wn-similarity/ We are hoping that WordNet corrects the issues with 3.0 which include an unexpected loop in the hypernym tree and an incorrect version number being included in their copyright notice. Apologies for not noting these issues on CPAN. Cordially, Ted On Thu Jul 26 12:09:34 2007, WALTMAN wrote: Show quoted text
> Running "perl Makefile.PL fails with the error > > Can't locate object method "version" via package "WordNet::QueryData" > at Makefile.PL line > 257. > > It appears that it's no longer compatible with the latest version of > WordNet::QueryData. The > changelog for version 1.46 says: > > * QueryData.pm (version): removed (Invalid as of WN 3.0) > > The release notes posted at http://groups.google.com/group/wn- > perl/browse_thread/ > thread/e15257d9983a4e8c add some more information: > > Note that I removed the version() function for 1.46 as it no longer > reliably > reports WN version number. There does not seem to be any way to > determine > the WordNet version from the database files (dict/*) at the > moment---the 3.0database files indicate an old version ( > 2.1).
Subject: Re: [rt.cpan.org #28493] perl Makefile.PL fails with latest version of WordNet-QueryData
Date: Thu, 26 Jul 2007 14:48:01 -0400
To: via RT <bug-WordNet-Similarity [...] rt.cpan.org>
From: Walt Mankowski <waltman [...] pobox.com>
Download (untitled) / with headers
text/plain 1.7k
Thanks! Going back to the older versions fixed the problem. Walt On Thu, Jul 26, 2007 at 01:42:12PM -0400, via RT wrote: Show quoted text
> > <URL: http://rt.cpan.org/Ticket/Display.html?id=28493 > > > > Thanks for reporting this. The current version requirements of WordNet- > Similarity are described here: > > http://www.d.umn.edu/~tpederse/similarity.html > > The short summary is that right now you need to step back to WordNet > 2.1 and WordNet-QueryData 1.45 due to some glitches in WordNet 3.0. > There is more detailed discussion of this issue in : > > http://tech.groups.yahoo.com/group/wn-similarity/ > > We are hoping that WordNet corrects the issues with 3.0 which include > an unexpected loop in the hypernym tree and an incorrect version number > being included in their copyright notice. > > Apologies for not noting these issues on CPAN. > > Cordially, > Ted > > On Thu Jul 26 12:09:34 2007, WALTMAN wrote:
> > Running "perl Makefile.PL fails with the error > > > > Can't locate object method "version" via package "WordNet::QueryData" > > at Makefile.PL line > > 257. > > > > It appears that it's no longer compatible with the latest version of > > WordNet::QueryData. The > > changelog for version 1.46 says: > > > > * QueryData.pm (version): removed (Invalid as of WN 3.0) > > > > The release notes posted at http://groups.google.com/group/wn- > > perl/browse_thread/ > > thread/e15257d9983a4e8c add some more information: > > > > Note that I removed the version() function for 1.46 as it no longer > > reliably > > reports WN version number. There does not seem to be any way to > > determine > > the WordNet version from the database files (dict/*) at the > > moment---the 3.0database files indicate an old version ( > > 2.1).
> > >
Download (untitled) / with headers
text/plain 335b
This worked fine with 2.01 and the latest versions of WordNet and WordNet::QueryData. (Well, there's still a minor problem with the required version of WordNet::QueryData listed in Makefile.PL, but I opened up a new ticket for that.) All the tests passed as well. As a result, I consider this issue resolved. Thanks for fixing it!


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.